//---------------------------------
// Name:			ProgressDialog.h
// Purpose:			Progress dialog
// Toolchain(s):	Microsoft Visual C++
// Creation date:	02-Jun-06
// Created by:		JJo
//---------------------------------

#ifndef FIRMWARE_PACKAGER_PROGRESSDIALOG_H
#define FIRMWARE_PACKAGER_PROGRESSDIALOG_H

//---------------------------------
// Includes

#include <afxwin.h>
#include <afxcmn.h>
#include "resource.h"

//---------------------------------
// Class

class ProgressDialog : public CDialog {

private:
	CProgressCtrl * m_pProgress;

public:
	ProgressDialog::ProgressDialog(CWnd * pParent);
	ProgressDialog::~ProgressDialog();
	
	void ProgressDialog::SetTitle(const char * title);
	void ProgressDialog::SetRange(int start, int end);
	void ProgressDialog::SetStep(int step);
	void ProgressDialog::StepIt();
	void ProgressDialog::Finish();

	afx_msg void ProgressDialog::OnCancelClicked();

	DECLARE_MESSAGE_MAP()
};

#endif // FIRMWARE_PACKAGER_PROGRESS_DIALOG
